/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package plate.wellmann.shop.business.test;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import plate.wellmann.shop.persistence.Password;

/**
 *
 * @author Patrick
 */
@Stateless
public class PasswordFacade extends AbstractFacade<Password> {

    @PersistenceContext(unitName = "MySQL-Wellmann")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public PasswordFacade() {
        super(Password.class);
    }
    
}
